# Uses of Interface
com.usatiuk.dhfs.jmap.JMapKey

Packages that use JMapKey
Package
Description
com.usatiuk.dhfs.jmap

## Uses of JMapKey in com.usatiuk.dhfs.jmap

Classes in com.usatiuk.dhfs.jmap with type parameters of type JMapKey
Modifier and Type
Class
Description
`final record`
`JMapEntry<K extends JMapKey>`
`interface`
`JMapHolder<K extends JMapKey>`
`class`
`JMapIterator<K extends JMapKey>`
Classes in com.usatiuk.dhfs.jmap that implement JMapKey
Modifier and Type
Class
Description
`final record`
`JMapLongKey`
Methods in com.usatiuk.dhfs.jmap with type parameters of type JMapKey
Modifier and Type
Method
Description
`<K extends JMapKey>
void`
JMapHelper.`delete(JMapHolder<K> holder, K key)`
`<K extends JMapKey>
void`
JMapHelper.`deleteAll(JMapHolder<K> he)`
`<K extends JMapKey>
Optional<JMapEntry<K>>`
JMapHelper.`get(JMapHolder<K> holder, K key)`
`<K extends JMapKey>
CloseableKvIterator<K,JMapEntry<K>>`
JMapHelper.`getIterator(JMapHolder<K> holder)`
`<K extends JMapKey>
CloseableKvIterator<K,JMapEntry<K>>`
JMapHelper.`getIterator(JMapHolder<K> holder, IteratorStart start, K key)`
`<K extends JMapKey>
void`
JMapHelper.`put(JMapHolder<K> holder, K key, JObjectKey ref)`
Methods in com.usatiuk.dhfs.jmap that return JMapKey
Modifier and Type
Method
Description
`JMapKey`
JMapRef.`mapKey()`
Returns the value of the `mapKey` record component.
Methods in com.usatiuk.dhfs.jmap with parameters of type JMapKey
Modifier and Type
Method
Description
`int`
JMapLongKey.`compareTo(JMapKey o)`
Constructors in com.usatiuk.dhfs.jmap with parameters of type JMapKey
Modifier
Constructor
Description
``
`JMapRef(JObjectKey holder, JMapKey mapKey)`
Creates an instance of a `JMapRef` record class.